<?php
/*
 *      this file is a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
?>

<generatorask>
    <p><?php echo __('Cette page affiche le détails d\'un élement (<a href="http://jonas.tuxfamily.org/wiki/gcweb/documentation/generateur_de_theme#item">Plus d\'explications</a>)') ?>.</p>

    <p style="color:red"><?php echo __('Attention! Le modèle "menu" doit être créé avant cette page') ?>.</p>

    <ul style="position:relative">
        <li><span class="generator_label">*<?php echo __('Titre de l\'élément') ?> :</span>  <span class="generator_desc"><champ>title</champ></span> <span style="color:red"><?php echo __('Saisie obligatoire') ?></span></li>
        <li><span class="generator_label"><?php echo __('Note') ?> :</span>                  <span class="generator_desc"><champ>rating</champ></span> <?php echo __('(certainement un chiffre entre 0 et 10)') ?></li>
        <li><span class="generator_label"><?php echo __('Image représentative') ?> :</span>  <span class="generator_desc"><champ>img</champ></span></li>
        <li><span class="generator_label"><?php echo __('Autre image') ?> :</span>           <span class="generator_desc"><champ>otherimg</champ></span></li>
        <li><?php echo __('Taille des images en pixel (largeur max x hauteur max, les proportions sont conservées)') ?>.
            <ul>
                <li><span class="generator_label_large"><?php echo __('de l\'élément courant dans la barre de navigation') ?> :</span> <span class="generator_desc"><txt>XimgItemNav=1000</txt> x <txt>YimgItemNav=120</txt> (<?php echo __('Valeurs conseillées pour une image plus haute que large') ?> : <code>1000 x 120</code>. <?php echo __('Les proportions de l\'image seront conservées') ?>)</span></li>
                <li><span class="generator_label_large"><?php echo __('des autres éléments dans la barre de navigation') ?> :</span>   <span class="generator_desc"><txt>XimgOtherNav=1000</txt> x <txt>YimgOtherNav=80</txt> (<code>1000 x 80</code>)</span></li>
                <li><span class="generator_label_large"><?php echo __('de l\'élément courant à coté de la description') ?> :</span>    <span class="generator_desc"><txt>Ximg=280</txt> x <txt>Yimg=320</txt> (<code>280 x 320</code>)</span></li>
            </ul>
        </li>
        <li><?php echo __('Champs avec beaucoup de texte (généralement la description) à mettre avant les informations') ?>.
            <ul>
            <loop desc>
                <li id='puce'><champ>desc</champ></li>
            </loop>
                <li>→ <addloop desc></li>
            </ul>

        </li>
        <li><?php echo __('Information avec un lien vers un filtre (quand on clique dessus, GCweb affichera tous les éléments ayant cette valeur)') ?>.
            <ul>
            <loop filter>
                <li><?php echo __('Label') ?> <txt>labelfilter</txt> - <?php echo __('Champ') ?> <champ>valuefilter</champ> </li>
            </loop>
                <li>→ <addloop filter></li>
            </ul>
        </li>
        <li><?php echo __('Autres informations sans lien') ?>
            <ul>
            <loop otherinfo>
                <li><?php echo __('Label') ?> <txt>labelotherinfo</txt> - <?php echo __('Champ') ?> <champ>valueotherinfo</champ> </li>
            </loop>
                <li>→ <addloop otherinfo></li>
            </ul>
        </li>
        <li><?php echo __('Liste de lien') ?>
            <ul>
            <loop link>
                <li><?php echo __('Label') ?> <txt>labellink</txt> - <?php echo __('url') ?> <champ>valuelink</champ> </li>
            </loop>
                <li>→ <addloop link></li>
            </ul>
        </li>

    </ul>

    <p><?php echo __('Autres champs avec beaucoup de texte') ?> :</p>
    <ul>
        <loop otherdesc><li><champ>otherdesc</champ></li></loop>
        <li>→ <addloop otherdesc></li>
    </ul>

</generatorask>

<generatorcode>
<?php
/*
 *      File generated by GCweb generator a part of GCweb (unoffical web render for GCstar)
 *      Copyright (c) 2007 Jonas Fourquier <http://jonas.tuxfamily.org> and contributors
 *
 *      GCweb is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */


/*
 * Partie centale de la page qui affiche les infomration détaillée d'un élement.
 * Variable disponible : $info, $collec, $item
 */
?>
<div id="content">

    <?php include TEMPLATE_MODEL_PATH_GCWEB.'/menu_'.$collec['type'].'.php' ?>

    <div id="item">
        <div class="nav">
            <div class="box">
                <ifexists img>
                <?php $maxkey = count ($bdd) -1;

                //Items précédentes
                if ($item['key'] > 0) {
                    foreach (array_slice($bdd, max($item['key']-2, 0), min($item['key'], 2)) as $tmpitem) {?>
                        <a id="id_<?php aff($tmpitem['id']) ?>" title="<?php aff($tmpitem['%%title%%']) ?>" href="<?php aff_hrefitem($tmpitem['id'])?>">
                        <img class="image" src="<?php aff_image($tmpitem['%%img%%'],%%XimgOtherNav%%,%%YimgOtherNav%%) ?>" <?php aff_attrsize_image($tmpitem['%%img%%'],%%XimgOtherNav%%,%%YimgOtherNav%%) ?> alt="%%title%%" />
                        </a><?php
                    }
                }

                //Item courant
                ?><a id="id_<?php aff($item['id']) ?>" title="<?php aff($item['%%title%%']) ?>" href="<?php aff_hrefitem($item)?>">
                <img class="image" src="<?php aff_image($item['%%img%%'],%%XimgItemNav%%,%%YimgItemNav%%) ?>" <?php aff_attrsize_image($item['%%img%%'],%%XimgItemNav%%,%%YimgItemNav%%) ?> alt="<?php aff($item['%%title%%']) ?>" />
                </a><?php

                //Item suivant
                if ($item['key'] < $maxkey) {
                    foreach (array_slice($bdd, min($item['key']+1, $maxkey), min($maxkey - $item['key'], 2)) as $tmpitem) {?>
                        <a id="id_<?php aff($tmpitem['id']) ?>" title="<?php aff($tmpitem['%%title%%']) ?>" href="<?php aff_hrefitem($tmpitem['id'])?>">
                        <img class="image" src="<?php aff_image($tmpitem['%%img%%'],%%XimgOtherNav%%,%%YimgOtherNav%%) ?>" <?php aff_attrsize_image($tmpitem['%%img%%'],%%XimgOtherNav%%,%%YimgOtherNav%%) ?> alt="%%title%%" />
                        </a><?php
                    }
                }
                ?><br />
                </ifexists>
                <a title="Parcourir" href="<?php aff_hrefPage($item['key']/$conf['itemsPage']+.5) ?>#id_<?php aff($item['id']) ?>">↑</a> &nbsp;
                <?php
                aff_prevItem(5,' - ');
                aff_currentItem();
                aff_nextItem(5,' - ');
                ?>
            </div>
        </div>
        <div class="element">
            <div class="box">
                <span class="image">
                    <ifexists otherimg>
                    <?php if (test($item['%%otherimg%%'])) { ?>
                    </ifexists>
                    <ifexists img>
                        <a href="<?php aff_image($item['%%img%%']) ?>">
                        <img title="<?php echo __('Cliquez dans le coin inférieur droit pour voir une autre image') ?>" src="<?php aff_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?>" <?php aff_attrsize_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?> alt="<?php aff($item['%%title%%'])?>" />
                        </a>
                    </ifexists>
                    <ifexists otherimg>
                        <a id='img2' style="display:none" href="<?php aff_image($item['%%otherimg%%'],%%Ximg%%,%%Yimg%%) ?>">
                        <img title="<?php echo __('Cliquez dans le coin inférieur droit pour voir une autre image') ?>" src="<?php aff_image($item['%%otherimg%%'],%%Ximg%%,%%Yimg%%) ?>" <?php aff_attrsize_image($item['%%otherimg%%'],%%Ximg%%,%%Yimg%%) ?>  alt="<?php aff($item['%%title%%'])?>" />
                        </a>
                        <a class='backpic' title="<?php echo __('Suivant') ?>" href="#" onclick="switchimg(2);return false;">↻</a>
                    <?php } else { ?>
                        <a id='img1' href="<?php aff_image($item['%%img%%']) ?>">
                        <img src="<?php aff_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?>" <?php aff_attrsize_image($item['%%img%%'],%%Ximg%%,%%Yimg%%) ?> alt="<?php aff($item['%%title%%'])?>" />
                        </a>
                    <?php } ?>
                    </ifexists>
                </span>
                <h2><?php aff($item['%%title%%'])?></h2>
                <loop desc>
                <?php if (test($item['%%desc%%']))            {?> <p class="description"><?php aff($item['%%desc%%']) ?></p> <?php } ?>
                </loop>
                <ifexists rating>
                <span class="starNote"><?php aff_star($item['%%rating%%']) ?></span>
                </ifexists>
                <ul>
                    <loop filter>
                    <?php if (test($item['%%valuefilter%%']))       {?> <li><span class="label"><?php echo __('%%labelfilter%%') ?> :   </span><span class="info"><?php aff_filter('%%valuefilter%%==',$item['%%valuefilter%%']) ?></span></li><?php } ?>
                    </loop>
                    <loop otherinfo>
                    <?php if (test($item['%%valueotherinfo%%']))   {?> <li><span class="label"><?php echo __('%%labelotherinfo%%') ?> : </span><span class="info"><?php aff($item['%%valueotherinfo%%']) ?></span></li><?php } ?>
                    </loop>
                    <li><loop link>
                    <?php if (test($item['%%valuelink%%']))   {?> <a href="<?php aff($item['%%valuelink%%'])?>"><?php echo __('%%labellink%%') ?></a><?php } ?>
                    </loop></li>
                </ul>
                <loop otherdesc>
                <?php if (test($item['%%otherdesc%%']))            {?> <p class="description"><?php aff($item['%%otherdesc%%']) ?></p> <?php } ?>
                </loop>
                <?php if (isset($conf['commercialLink'])) {?>
                    <?php aff($conf['commercialLink']) ?>
                <?php } ?>
                <div class="foot">
                </div>
            </div>
        </div>
    </div>
</div>
</generatorcode>